> For the complete documentation index, see [llms.txt](https://docs.eniac.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eniac.network/reference/cli/enid-debug.md).

# enid debug

#### `enid debug`

```ansi
Debugging tools for the application

Usage:
  enid debug [flags]
  enid debug [command]

Available Commands:
  addr        Convert addresses between hexadecimal and bech32
  dump-iavl   Dump IAVL data at a specific height
  pubkey      Decode a public key from proto JSON
  raw-bytes   Convert raw bytes output (e.g., [10 21 13 255]) to hexadecimal

Flags:
  -h, --help   Help information for debug

Global Flags:
      --home string         Directory for configuration and data (default "~/.eni")
      --log_format string   Log format (json|plain)
      --log_level string    Log level (trace|debug|info|warn|error|fatal|panic)
      --trace               Print the full stack trace on error

Use "enid debug [command] --help" for more information about a command.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eniac.network/reference/cli/enid-debug.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
